## cpufrequtils 0.2

=== debug/i386/Makefile ===
default: all

centrino-decode: centrino-decode.c
	$(CC) $(CFLAGS) -o centrino-decode centrino-decode.c

dump_psb: dump_psb.c
	$(CC) $(CFLAGS) -o dump_psb dump_psb.c

intel_gsic: intel_gsic.c
	$(CC) $(CFLAGS) -o intel_gsic -llrmi intel_gsic.c

powernow-k8-decode: powernow-k8-decode.c
	$(CC) $(CFLAGS) -o powernow-k8-decode powernow-k8-decode.c

all: centrino-decode dump_psb intel_gsic powernow-k8-decode

clean:
	rm -rf centrino-decode dump_psb intel_gsic powernow-k8-decode

.PHONY: all default clean

## cpufrequtils 007

=== debian/changelog ===
cpufrequtils (007-2) unstable; urgency=low

  * Bulk load only helper modules. Linux 3.0 shuffled cpufreq modules
    locations a bit and now cpu drivers and helpers are in the same directory
    (closes: #636141).
  * Use modprobe -b in loadcpufreq to honour blacklisted modules
    (closes: #592488).
  * Load powernow-k8 for AMD family 20 (i.e. AMD E-350 cpus)
    (closes: #627811).
  * Stop changing printk levels when loading cpufreq modules (closes: #624575
    and closes: #596235).

 -- Mattia Dongili <malattia@debian.org>  Wed, 03 Aug 2011 18:13:41 +0900

cpufrequtils (007-1) unstable; urgency=low

  * New upstream version
  * Load acpi_cpufreq instead of e_powersaver on VIA C7s (closes: #566214 and
    closes: #579091)
  * loadcpufreq should start after syslog (closes: #578639)
  * Remove stop symlinks in runlevel 0 1 6 on upgrades (closes: #498717)
  * Start loadcpufreq on install (closes: #544098)
  * Add a homepage link in the control file for cpufrequtils (closes: #579089)
  * Remove patches included upstream, refresh the rest
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version and check for file existence before including it
    in loadcpufreq (lintian warnings)

 -- Mattia Dongili <malattia@debian.org>  Sat, 15 May 2010 20:04:34 +0900

cpufrequtils (006-2) unstable; urgency=low

  * Grrr! fix the stop scripts removal condition

 -- Mattia Dongili <malattia@debian.org>  Sat, 21 Nov 2009 23:44:09 +0900

cpufrequtils (006-1) unstable; urgency=low

  * New upstream version
  * Fix the errors in the extended description (closes: #543679).
  * Re-generate the symbols file (closes: #552344).
  * Use upper-case for the CPU aronym (closes: #493174).
  * Remove the unused stop links in /etc/rc[016].d (closes: 498717)
  * Bump Standards-Version to latest (3.8.3).
  * Add cpufreq-aperf manpage and pull quilt as a dependency to add patches.
  * Pull a fix from the upstream repository to fix reading of /proc/stat in
    cpufreq-aperf (6657831200419d7509edcc04434d03b994c86adb).

 -- Mattia Dongili <malattia@debian.org>  Fri, 20 Nov 2009 20:24:47 +0900

cpufrequtils (005-1) unstable; urgency=low

  * New upstream version
  * Always load acpi-cpufreq on Intel CPUs with the est flag (Closes: #502431)
  * Load the powenow-k8 module for AMD family 17, Laszlo Kajan
    <kajla76@gmail.com> (Closes: 523839)
  * Removed libsysfs dependency, not needed anymore

 -- Mattia Dongili <malattia@debian.org>  Sun, 26 Apr 2009 15:15:11 +0900

cpufrequtils (004-2) unstable; urgency=low

  * Load powernow-k8 for Phenom AMD CPUs (Closes: #491299)

 -- Mattia Dongili <malattia@debian.org>  Sat, 19 Jul 2008 15:10:07 +0900

cpufrequtils (004-1) unstable; urgency=low

  * New upstream version
  * Ack previous NMUs (Closes: #470062) (Closes: #464636) (Closes: #468483)
    (Closes: #468655)
  * removed dependency on libsysfs as the upstream code doesn't need
    it anymore

 -- Mattia Dongili <malattia@debian.org>  Wed, 16 Jul 2008 20:54:15 +0900

cpufrequtils (002-7.2) unstable; urgency=low

  * Non-maintainer upload with consent from Mattia Dongili.
  * Fix typo in call to dh_installinit (Closes: #470062)

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  8 Mar 2008 23:32:26 +0100

cpufrequtils (002-7.1) unstable; urgency=low

  * Non-maintainer upload with consent from Mattia Dongili.
  * Fix bashism in init.d/loadcpufreq (Closes: #464636)
  * Make sure update-rc.d is called in dependency order to
    work with insserv.  Depend on debhelper >= 6 for this to work
    properly (Closes: #468483)
  * Correct LSB dependnecy information (Closes: #468655)

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  8 Mar 2008 11:44:08 +0100

cpufrequtils (002-7) unstable; urgency=low

  * Set ENABLE=true by default in loadcpufreq.init (Closes: #457753)
  * use /proc/stat to get the list of cpus for which we need to set the
    default governor/limits at boot in cpufrequtils.init (Closes: #457931)

 -- Mattia Dongili <malattia@debian.org>  Sun, 30 Dec 2007 11:39:18 +0900

cpufrequtils (002-6) unstable; urgency=low

  * in loadcpufreq.init:
    - Support VIA C7 (model_id 10) (Closes: #429269)
    - Redirect to stderr correclty (Closes: #431690)
    - Only check for sysfs file existence as we don't know exactly which
      governors are really available (Closes: 431922)
    - redirect stderr on modprobe and say that no module has been loaded if
      that is the case, patch from Kel Modderman (Closes: #428248)
  * set policy earlier to avoid overriding policy daemons (Closes: #433202)
  * use cpufreq-info to determine the available CPUs, patch from Kel Modderman
    (Closes: #449307)
  * document ordering of init.d scripts in LSB header, patch from Petter
    Reinholdtsen (Closes: #451482)
  * handle DEB_BUILD_OPTIONS=nostrip in debian/rules (Closes: #436673)
  * allow disabling and/or overriding loadcpufreq (Closes: #440915)
  * clarify the package description stating this package also enable active
    cpu control at boot time (Closes: #433203)
  * bump Standards-Version to 3.7.3
  * unignore $(MAKE) clean errors as it actually should never fail in normal
    conditions for this package (lintian warning)
  * describe the usage of /etc/default/loadcpufreq in README.Debian

 -- Mattia Dongili <malattia@debian.org>  Mon, 24 Dec 2007 14:15:47 +0900

cpufrequtils (002-5) unstable; urgency=low

  * fix loadcpufreq script to avoid using laptop-detect as the result
    of its invocation was not used (Closes: #428172).
  * output the name of the driver used at startup.

 -- Mattia Dongili <malattia@debian.org>  Sun, 10 Jun 2007 11:30:31 +0900

cpufrequtils (002-4) unstable; urgency=low

  * Enable by default if cpufreq kernel module is loaded thanks 
    to Peter Reinholdtsen for the base code/idea (Closes: #426138)

 -- Mattia Dongili <malattia@debian.org>  Thu, 31 May 2007 00:29:39 +0900

cpufrequtils (002-3) unstable; urgency=low

  * Acknowledge NMUs (Closes: #412184) (Closes: #423991)


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# handle nostrip
DEBUG = false
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	DEBUG=true
endif

# shared library versions
version=0.0.0
major=0

build: build-stamp
build-stamp:
	dh_testdir

	# compile the package.
	# CROSS=$(DEB_BUILD_GNU_TYPE)
	$(MAKE) CFLAGS="$(CFLAGS)" DESTDIR="$(CURDIR)/debian/tmp" mandir=/usr/share/man V=1 DEBUG=$(DEBUG)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) install DESTDIR="$(CURDIR)/debian/tmp" mandir=/usr/share/man V=1

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installinit --name loadcpufreq -r -u"start 05 2 3 4 5 ."
	dh_installinit -r -u"start 19 2 3 4 5 ."
	dh_installdebconf
	install -D -m644 debian/lintian.overrides \
		debian/cpufrequtils/usr/share/lintian/overrides/cpufrequtils
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

## cpufrequtils 008

=== debian/changelog ===
cpufrequtils (008-2) unstable; urgency=medium

  * New maintainer (Closes: #933159)
  * Add "for internal use" to debian/cpufrequtils.templates to fix
    lintian warning.
  * Bump Standards-Version to 4.5.0.
  * Bump debhelper compat to 13.
  * Remove -O2 CFLAGS from debian/rules when noopt is defined.
  * Add hardening+=all to debian/rules and set-hardening.patch.
  * Add Vcs-* fields to debian/control.
  * Remove hurd, kbsd64, and kbsd32 from debian/control.
  * Add Build-Depends-Package field to debian/libcpufreq0.symbols.
  * Change the format of debian/copyright to dep5.
  * Fix typos in man files.
  * Remove debian/source.lintian-overrides to fix lintian warning.
  * Change to the secure URL in debian/watch.

 -- Seunghun Han <kkamagui@gmail.com>  Mon, 04 May 2020 12:20:06 +0900

cpufrequtils (008-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Niels Thykier ]
  * Set Rules-Requires-Root to "no".
  * Replace usage of "dh_clean -k" with "dh_prep".
  * Remove redundant/empty postinst and postrm from the packages.
  * Bump debhelper compat to 12.
    - Pass --no-restart-after-upgrade to dh_installinit to maintain
      the previous behaviour of the maintscripts.
    - Add Pre-Depends on ${misc:Pre-Depends}.

  [ Breno Leitao ]
  * Remove the package binary package for Power architecture, since Power CPU
    family uses linux-cpupower to handle the machine Power management unit.
    (Closes: #889895)

  [ Helmut Grohne ]
  * Fix FTCBFS: pass CROSS= to Makefile.  (Closes: #793913)

 -- Niels Thykier <niels@thykier.net>  Sun, 30 Dec 2018 22:29:38 +0000

cpufrequtils (008-1) unstable; urgency=low

  * Package the last available upstream vesion of cpufrequtils. Anything
    after this should really be cpupowerutils (closes: 639454).
  * Include all the work also pending the in the git repository as patches
    on top of version 008.
  * Upstream fixed po.DE (closes: #633307).
  * Enable static library building as upstream disabled it.
  * Load powernow-k8 for AMD Bulldozer (21) and Llano (18) (closes: #654957).
  * Do not update po files upon building (closes: #651415).

 -- Mattia Dongili <malattia@debian.org>  Sun, 06 May 2012 08:23:44 +0900

=== debian/control ===
Source: cpufrequtils
Section: admin
Priority: optional
Maintainer: Seunghun Han <kkamagui@gmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html
Vcs-Git: https://salsa.debian.org/debian/cpufrequtils.git
Vcs-Browser: https://salsa.debian.org/debian/cpufrequtils

Package: cpufrequtils
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64el mipsel s390x sh4 sparc64 x32
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0)
Description: utilities to deal with the cpufreq Linux kernel feature
 This package contains two utilities for inspecting and setting the
 CPU frequency through both the sysfs and procfs CPUFreq kernel
 interfaces.
 .
 By default, it also enables CPUFreq at boot time if the correct CPU
 driver is found.

Package: libcpufreq0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: shared library to deal with the cpufreq Linux kernel feature
 This library provide an unified method to access the CPUFreq kernel
 interface.

Package: libcpufreq-dev
Architecture: any
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: libcpufreq0 (= ${binary:Version}), ${misc:Depends}
Description: development files to deal with the cpufreq Linux kernel feature
 This package provides everything that is needed for developing own
 programs using libcpufreq.

=== debian/rules ===
--- 
+++ 
@@ -15,19 +15,18 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-
-CFLAGS = -Wall -g
+CFLAGS += -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
-else
-	CFLAGS += -O2
 endif
 
 # handle nostrip
@@ -40,13 +39,14 @@
 version=0.0.0
 major=0
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 
 	# compile the package.
-	# CROSS=$(DEB_BUILD_GNU_TYPE)
-	$(MAKE) CFLAGS="$(CFLAGS)" DESTDIR="$(CURDIR)/debian/tmp" mandir=/usr/share/man V=1 DEBUG=$(DEBUG)
+	$(MAKE) CROSS=$(DEB_HOST_GNU_TYPE)- CFLAGS="$(CFLAGS)" DESTDIR="$(CURDIR)/debian/tmp" mandir=/usr/share/man V=1 DEBUG=$(DEBUG)
 
 	touch build-stamp
 
@@ -59,15 +59,15 @@
 	# Add here commands to clean up after the build process.
 	$(MAKE) clean
 
-	dh_clean 
+	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
-	# Add here commands to install the arch part of the package into 
+	# Add here commands to install the arch part of the package into
 	# debian/tmp.
 	$(MAKE) install DESTDIR="$(CURDIR)/debian/tmp" mandir=/usr/share/man V=1
 
@@ -84,14 +84,14 @@
 	dh_installdocs
 	dh_installexamples
 	dh_installman
-	dh_installinit --name loadcpufreq -r -u"start 05 2 3 4 5 ."
-	dh_installinit -r -u"start 19 2 3 4 5 ."
+	dh_installinit --name loadcpufreq -r --no-restart-after-upgrade -u"start 05 2 3 4 5 ."
+	dh_installinit -r --no-restart-after-upgrade -u"start 19 2 3 4 5 ."
 	dh_installdebconf
 	install -D -m644 debian/lintian.overrides \
 		debian/cpufrequtils/usr/share/lintian/overrides/cpufrequtils
 	dh_link
 	dh_strip
-	dh_compress 
+	dh_compress
 	dh_fixperms
 	dh_makeshlibs
 	dh_installdeb
@@ -101,4 +101,4 @@
 	dh_builddeb
 
 binary: binary-arch binary-indep
-.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch 
+.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== debian/watch ===
version=3
https://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils-(.*)\.tar\.gz
